--- old/usr/src/uts/common/io/scsi/targets/st.c	sam. juil. 16 15:17:31 2016
+++ new/usr/src/uts/common/io/scsi/targets/st.c	sam. juil. 16 15:17:31 2016
@@ -695,7 +695,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, &modldrv, NULL
+	MODREV_1, { &modldrv, NULL }
 };
 
 /*
@@ -1964,20 +1964,20 @@
 
 static const conf_limit conf_limits[] = {
 
-	-1,		1,		2,		"conf version",
-	-1,		MT_ISTS,	ST_LAST_TYPE,	"drive type",
-	-1,		0,		0xffffff,	"block size",
-	ST_VALID_OPTS,	0,		ST_VALID_OPTS,	"options",
-	-1,		0,		4,		"number of densities",
-	-1,		0,		UINT8_MAX,	"density code",
-	-1,		0,		3,		"default density",
-	-1,		0,		UINT16_MAX,	"non motion timeout",
-	-1,		0,		UINT16_MAX,	"I/O timeout",
-	-1,		0,		UINT16_MAX,	"space timeout",
-	-1,		0,		UINT16_MAX,	"load timeout",
-	-1,		0,		UINT16_MAX,	"unload timeout",
-	-1,		0,		UINT16_MAX,	"erase timeout",
-	0,		0,		0,		NULL
+	{ -1,		1,		2,		"conf version" },
+	{ -1,		MT_ISTS,	ST_LAST_TYPE,	"drive type" },
+	{ -1,		0,		0xffffff,	"block size" },
+	{ ST_VALID_OPTS, 0,		ST_VALID_OPTS,	"options" },
+	{ -1,		0,		4,		"number of densities" },
+	{ -1,		0,		UINT8_MAX,	"density code" },
+	{ -1,		0,		3,		"default density" },
+	{ -1,		0,		UINT16_MAX,	"non motion timeout" },
+	{ -1,		0,		UINT16_MAX,	"I/O timeout" },
+	{ -1,		0,		UINT16_MAX,	"space timeout" },
+	{ -1,		0,		UINT16_MAX,	"load timeout" },
+	{ -1,		0,		UINT16_MAX,	"unload timeout" },
+	{ -1,		0,		UINT16_MAX,	"erase timeout" },
+	{ 0,		0,		0,		NULL }
 };
 
 static int
